#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"
#include <string.h>
#include <fvs/fvs.h>


static char* filename = NULL;
static GtkWidget* image         = NULL;
static GtkWidget* file_selector = NULL;
static FvsImage_t* fvs_image    = NULL;


static void
store_filename (GtkFileSelection *file, gpointer user_data)
{
  const gchar *selected_filename;
  selected_filename = gtk_file_selection_get_filename (GTK_FILE_SELECTION (file_selector));
  g_print ("Selected filename: %s\n", selected_filename);
  filename = strdup(selected_filename);
  gtk_widget_hide(GTK_WIDGET(file_selector));
  gtk_main_quit();
}

static void
open_filename(GtkWidget* widget)
{
  file_selector = gtk_file_selection_new("Select a fingerprint image");
  g_signal_connect (GTK_OBJECT (GTK_FILE_SELECTION (file_selector)->ok_button),
                     "clicked", G_CALLBACK (store_filename), NULL);

  image = lookup_widget(GTK_WIDGET(widget), "image_finger");

  gtk_file_selection_complete(GTK_FILE_SELECTION(file_selector), "/home/jdehaan/fvs/database");
   
  if (filename!=NULL)
  {
    free(filename);
    filename = NULL;
  }
  gtk_widget_show(file_selector);
  gtk_main();
  if (filename==NULL)
  {
    FvsFile_t* f = NULL;
    FileCreate(&f);
    ImageImport(f, filename, FILE_READ);

    FileDestroy(&f);
  }  
}

void
on_new_activate                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
}


void
on_open_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  open_filename(GTK_WIDGET(menuitem));
}


void
on_save_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_save_as_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_cut1_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_copy1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_paste1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_delete1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_about_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  GtkWidget* about;
  about = create_dialog_about();
  gtk_widget_show(about);
}


void
on_button_open_pressed                 (GtkButton       *button,
                                        gpointer         user_data)
{
  open_filename(GTK_WIDGET(button));
}


void
on_button_about_pressed                (GtkButton       *button,
                                        gpointer         user_data)
{
  GtkWidget* about;
  about = create_dialog_about();
  gtk_widget_show(about);
}

