/*########################################################################

  The contents of this file are subject to the Mozilla Public License
  Version 1.0(the "License");   You  may  NOT  use this file except in
  compliance with the License. You may obtain a copy of the License at
                http:// www.mozilla.org/MPL/
  Software distributed under the License is distributed on an "AS IS"
  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
  the License for the specific language governing rights and limitations
  under the License.

  The Initial Developer of the Original Code is Shivang Patel.

  Copyright(C) 2002-2003. All Rights Reserved.

  Authors: Shivang Patel
           Jaap de Haan(jdh)
  
########################################################################*/

#if !defined FVS__BITMAP_HEADER__INCLUDED__
#define FVS__BITMAP_HEADER__INCLUDED__

#include "file.h"
#include "image.h"

/*!
  Imports a fingeprint image from a bitmap file.
  \param file   the file from which the image should be read
  \param image  the result will be stored in this image
  \result       an error code
*/
FvsError_t BitmapImport(FvsFile_t file, FvsImage_t image);


/*!
  Exports a fingeprint image to a bitmap file.
  \param file   the file to which the image should be saved
  \param image  image to export
  \result       an error code
*/
FvsError_t BitmapExport(FvsFile_t file, const FvsImage_t image);

#endif /* FVS__BITMAP_HEADER__INCLUDED__ */

